Get Experiment
curl --request GET \
--url 'https://api.example.com/experiments/{experiment_id}?HAIQU_API_KEY='import requests
url = "https://api.example.com/experiments/{experiment_id}?HAIQU_API_KEY="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/experiments/{experiment_id}?HAIQU_API_KEY=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"creation_date": "2023-11-07T05:31:56Z",
"user_id": 123,
"user": {
"email": "<string>",
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"api_access_key": "<string>"
},
"tags": "",
"circuits_count": 0,
"jobs_count": 0,
"last_action_date": "2023-11-07T05:31:56Z",
"metrics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Get Experiment
Get experiment endpoint.
Args: experiment_id (str): ID of the experiment. user (User): User authenticated with api key.
Returns: ExperimentModel: Experiment object.
GET
/
experiments
/
{experiment_id}
Get Experiment
Authorizations
APIKeyQueryAPIKeyHeader
Path Parameters
Response
Successful Response
Experiment model.
Haiqu experiment is a parent/organizer entity for circuits and jobs.
User model.
MVP: Haiqu user is created by Haiqu team, auth with username/password. V2: Haiqu API user is OAuth authenticated user from IBM, Google, etc.
Show child attributes
Show child attributes